<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../include/assets.jsp"></jsp:include>
</head>

<body>
<div id="wrapper">
    <div class="gray-bg">
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <form role="form" class="form-horizontal">
                <input type="hidden" id="iRegionLevel" name="regionLevel" value="${LOGIN_USER.regionLevel }">
                <input type="hidden" id="iProvince" name="province" value="${LOGIN_USER.province }">
                <input type="hidden" id="iCity" name="city" value="${LOGIN_USER.city }">
                <input type="hidden" id="iArea" name="area" value="${LOGIN_USER.area }">
            </form>
            <div class="row">
                <div class="col-xs-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-content">
                            <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                <tr>
                                    <th>省市区/县</th>
                                    <th>登录用户</th>
                                    <th style="min-width: 76px">真实名称</th>
                                    <th>手机</th>
                                    <th style="min-width: 76px">审批角色</th>
                                    <th style="min-width: 76px">用户类型</th>
                                    <th style="min-width: 76px">激活状态</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<jsp:include page="../include/scripts.jsp"></jsp:include>

<script type="text/javascript">

    $(document).ready(function () {
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy": true,
                "bServerSide": true,
                "bPaginate": true,
                "bLengthChange": false,
                "sAjaxSource": "<c:url value='/business/user/findData'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
                    {"mDataProp": "city", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "username", "sClass": "", "bSortable": false},
                    {"mDataProp": "realName", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "phone", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "workrolename", "sClass": "", "bSortable": false},
                    {"mDataProp": "role", "sClass": "", "bSortable": false},
                    {"mDataProp": "active", "sClass": "text-center", "bSortable": false},
                    {"mDataProp": "action", "sClass": "text-center", "bSortable": false}
                ],
                "fnServerParams": function (aoData) {
                    aoData.push(
                        {"name": "areaCode", "value": ${areaCode}},
                        {"name": "role", "value": '${role}'},
                        {"name": "dataSource", "value": 'summary'},
                        {"name": "active", "value": '${active}'}
                    );
                },
                "fnDrawCallback": function (data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                // 初始化，描画都已经完成，常用于ajax
                "initComplete": function( settings, json ) {
                    var layerIndex = parent.layer.getFrameIndex(window.name);
                    parent.layer.iframeAuto(layerIndex);
                },
                "aoColumnDefs": [
                    {
                        "aTargets": [0],
                        "mRender": function (tar, type, data) {
                            var pca = "";
                            if (data.provincename != '' && data.provincename != null) {
                                pca += data.provincename;
                            }
                            if (data.cityname != '' && data.cityname != null) {
                                pca += '-' + data.cityname;
                            }
                            if (data.areaname != '' && data.areaname != null) {
                                pca += '-' + data.areaname;
                            }
                            return pca;
                        }
                    },
                    {
                        "aTargets": [1],
                        "mRender": function (tar, type, data) {
                            return data.username;
                        }
                    },
                    {
                        "aTargets": [2],
                        "mRender": function (tar, type, data) {
                            return data.realName;
                        }
                    },
                    {
                        "aTargets": [3],
                        "mRender": function (tar, type, data) {
                            return data.phone;
                        }
                    },
                    {
                        "aTargets": [5],
                        "mRender": function (tar, type, data) {
                            if (data.role != '') {
                                if (data.role == "SUPERADMIN") {
                                    return "系统管理员";
                                } else if (data.role == "ADMIN") {
                                    return "管理员";
                                } else if (data.role == "ADMIN_APPROVE") {
                                    return "全权限人员";
                                } else if (data.role == "READ") {
                                    return "数据查询人员";
                                } else if (data.role == "DOWNLOAD") {
                                    return "数据下载人员";
                                } else {
                                    return "审批人员";
                                }
                            } else {
                                return data.role;
                            }
                        }
                    },
                    {
                        "aTargets": [6],
                        "mRender": function (tar, type, data) {
                            var prefix = "<span>";
                            var suffix = "</span>";
                            var status = "";
                            if (data.active == '1') {
                                prefix = "<span style='color:#2A6496;font-weight:bolder'>";
                                status = "有效";
                            } else if (data.active == '0') {
                                prefix = "<span style='color:grey;font-weight:bolder'>";
                                status = "失效";
                            }
                            return prefix + status + suffix;
                        }
                    },
                    {
                        "aTargets": [7],
                        "mRender": function (tar, type, data) {
                            return "";
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing": "处理中...",
                    "sLengthMenu": "显示_MENU_ 项结果",
                    "sZeroRecords": "没有匹配结果",
                    "sInfo": " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty": "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch": "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            });
    });


</script>
</body>

</html>
